FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_XPM_Image Class Reference

The Fl_XPM_Image class supports loading, caching, and drawing of X Pixmap (XPM) images, including transparency. More...

`#include <Fl_XPM_Image.H>`

Inheritance diagram for Fl_XPM_Image:

List of all members.

## Public Member Functions
| Fl_XPM_Image (const char *filename)
| The constructor loads the XPM image from the name filename.

## Detailed Description

The Fl_XPM_Image class supports loading, caching, and drawing of X Pixmap (XPM) images, including transparency.

## Constructor & Destructor Documentation

Fl_XPM_Image::Fl_XPM_Image | ( | const char * | name | ) |

The constructor loads the XPM image from the name filename.

The destructor free all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_XPM_Image.H
- Fl_XPM_Image.cxx